Create a payment method

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Available banks

BankbankShortCode
BCABCA
BNIBNI
BRIBRI
CIMB NiagaCIMB_NIAGA
DanamonDANAMON
HanaHANA
MandiriMANDIRI
PermataPERMATA
Bank Sahabat SampoernaSAHABAT_SAMPOERNA
Bank Syariah IndonesiaBSI

Example of Virtual Account Payment Method request

# /api/v4/payment_methods/virtual_bank_accounts
{
  "data": {
    "attributes": {
      "bankShortCode": "BRI",
      "referenceId": "virtual_account_ref_id",
      "displayName": "Your virtual account display name"
    }
  }
}
# Virtual Account
{
    "data": {
        "id": "va_ab2fae95a6e2d223b133821e80b82916",
        "type": "virtual_bank_account",
        "attributes": {
            "referenceId": "virtual_account_ref_id",
            "instructions": {
                "bankShortCode": "BRI",
                "accountNo": "1234567812345678",
                "displayName": "Your virtual account display name"
            }
        }
    }
}
Path Params
string
required
Defaults to virtual_bank_accounts

The type of payment method. Currently support "virtual_bank_accounts" and "qris".

Body Params
string
required
Defaults to BNI

The bank code used for creating the virtual account Payment Method. This should clearly identify a bank in the region that you want your customer to make a transfer to. This should usually be the bank that the end-customer will be making a transfer from. See below for a list of supported banks.

string
required
Defaults to va_reference_id

The referenceId that was used to request for the Payment Method. This is used for idempotency and should typically be a "customer id" or "wallet id" on your platform.

string
required
Defaults to Nama Tampilan

Name to be displayed in the corresponding bank system such as ATM confirmation screen, or online bank transfer screen. If empty, it will be given a default value that is the display name you have set on the Xfers Dashboard.

Response

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json